
Ruby - Bug #4732

mingw no longer writes files with "\r\n" by default, presumably unexpectedly

05/19/2011 01:32 AM - rogerdpack (Roger Pack)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.3dev (2011-05-18 trunk 31614)

[i386-mingw32]

Backport:  

Description

As reported

http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/36284

File.open('yo', 'w') do |f|

f.write "a\nb"

end

in 1.9.2 writes out "a\r\nb" but 1.9.3 writes out "a\nb" presumably unexpectedly.

Cheers!

Associated revisions

Revision b5bc09d2 - 05/27/2011 01:45 PM - nobu (Nobuyoshi Nakada)

io.c (validate_enc_binmode): do not clear textmode flag if

default.  fixed #4732

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31748 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/27/2011 10:45 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31748.

Roger, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

io.c (validate_enc_binmode): do not clear textmode flag if

default.  fixed #4732
